BasicLazyInitializer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy.pojo
Class BasicLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.pojo.BasicLazyInitializer

All Implemented Interfaces:
  LazyInitializer

Direct Known Subclasses:
  JavassistLazyInitializer

    public abstract class BasicLazyInitializer

extends AbstractLazyInitializer

Lazy initializer for POJOs

Field Summary
`protected CompositeType` | `componentIdType`
`protected Method` | `getIdentifierMethod`
`protected static Object` | `INVOKE_IMPLEMENTATION`
`protected boolean` | `overridesEquals`
`protected Class` | `persistentClass`
`protected Method` | `setIdentifierMethod`

Constructor Summary
`protected` | `BasicLazyInitializer(String entityName, Class persistentClass, Serializable id, Method getIdentifierMethod, Method setIdentifierMethod, CompositeType componentIdType, SessionImplementor session, boolean overridesEquals)`

Method Summary
`Class` | `getPersistentClass()` Get the actual class of the entity.
`protected Object` | `invoke(Method method, Object[] args, Object proxy)`
`protected abstract Object` | `serializableProxy()`

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
`getEntityName, getIdentifier, getImplementation, getImplementation, getSession, getTarget, initialize, isConnectedToSession, isReadOnly, isReadOnlyBeforeAttachedToSession, isReadOnlySettingAvailable, isUninitialized, isUnwrap, setIdentifier, setImplementation, setReadOnly, setSession, setUnwrap, unsetSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVOKE_IMPLEMENTATION

    protected static final Object INVOKE_IMPLEMENTATION

### persistentClass

    protected final Class persistentClass

### getIdentifierMethod

    protected final Method getIdentifierMethod

### setIdentifierMethod

    protected final Method setIdentifierMethod

### overridesEquals

    protected final boolean overridesEquals

### componentIdType

    protected final CompositeType componentIdType

Constructor Detail

### BasicLazyInitializer

    protected BasicLazyInitializer(String entityName,
                                   Class persistentClass,
                                   Serializable id,
                                   Method getIdentifierMethod,
                                   Method setIdentifierMethod,
                                   CompositeType componentIdType,
                                   SessionImplementor session,
                                   boolean overridesEquals)

Method Detail

### serializableProxy

    protected abstract Object serializableProxy()

### invoke

    protected final Object invoke(Method method,
                                  Object[] args,
                                  Object proxy)
                           throws Throwable

  Throws:
    `Throwable`

### getPersistentClass

    public final Class getPersistentClass()

  Description copied from interface: `LazyInitializer`
  Get the actual class of the entity. Generally, `LazyInitializer.getEntityName()` should be used instead.

  Returns:
    The actual entity class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.